/*
 * TIME4.c
 *
 *  Created on: 2019-8-16
 *      Author: charles_cai
 */
#include"main.h"
/*
 * 函数功能：初始化T4
 * 输入参数：输入0，使能重载和蜂鸣器输出。输入1，使用溢出模式。
 */
void Init_T4(unsigned char mode)
{
	if(!mode)
	{
		T4CTL =0xF1;//使能重载、使能蜂鸣器输出、8分频、选择内部高频时钟、使能T3
		T4REH =0x07;
		T4REL =0XD0;//重载值设置为2000、1ms中断一次
	}
	else
		T4CTL =0x31;//8分频、选择内部高频时钟、使能T3
}

